Skip to main content
GET
/
api
/
v1
/
auth
/
otc
/
deposits
List OTC deposits
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/otc/deposits \
  --header 'Authorization: Bearer <token>'
{
  "deposits": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "method": "bank",
      "fiat_amount": "<string>",
      "fiat_currency": "<string>",
      "status": "pending",
      "payment_reference": "<string>",
      "proof_url": "<string>",
      "transfer_date": "2023-11-07T05:31:56Z",
      "merchant_request_id": "<string>",
      "checkout_request_id": "<string>",
      "mpesa_receipt_number": "<string>",
      "mpesa_phone_number": "<string>",
      "confirmed_at": "2023-11-07T05:31:56Z",
      "confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rejected_at": "2023-11-07T05:31:56Z",
      "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "rejection_reason": "<string>",
      "internal_note": "<string>",
      "credited_at": "2023-11-07T05:31:56Z",
      "credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "usdt_amount": "<string>",
      "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
pending,
confirmed,
rejected,
credited
method
enum<string>
Available options:
bank,
mpesa
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

List of deposits

deposits
object[]